﻿[System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms")

####################### SPREMENI PO POTREBI #######################
$Vrstica  = 6                    # št. dodanega stolpca v tabeli
$Stolpec  = 8                    # št. prve vrstice v tabeli
$StDni    = 15                   # št. dni do opozorila izravnave
$fileName = "izravnava_test.xls" # ime Excelove datoteke

########################### NE SPREMINJAJ #########################
$CultureOld = [System.Threading.Thread]::CurrentThread.CurrentCulture
$CultureUS = [System.Globalization.CultureInfo]'en-US'
[System.Threading.Thread]::CurrentThread.CurrentCulture = $CultureUS 

$scriptpath = $MyInvocation.MyCommand.Path
$dir = Split-Path $scriptpath
$file = $dir + "\" + $fileName

$before = @(Get-Process [e]xcel | %{$_.Id})
$obj = New-Object -comobject Excel.Application
$ExcelId = Get-Process excel | %{$_.Id} | ?{$before -notcontains $_}
$obj.Visible = $False
$obj.Application.DisplayAlerts = $False

$wb = $obj.Workbooks.Open($file)
$ws = $wb.Worksheets.Item(1)
$range = $ws.Range($ws.Cells.Item($Vrstica,$Stolpec),$ws.Cells.Item(9999,$Stolpec))
$prestej = $obj.WorksheetFunction.Count($range)

for ($i=$Vrstica; $i -le $Vrstica+$prestej-1; $i++)
{
if($ws.Cells.Item($i,$Stolpec).Value2 -le $StDni)
    {
    $flag = $True
    }
}

if($flag)
{
[System.Windows.Forms.MessageBox]::Show("Do ene ali vec izravnav je manj $($StDni) ali manj dni")
}

Stop-Process -Id $ExcelId -Force -ErrorAction SilentlyContinue

[System.Threading.Thread]::CurrentThread.CurrentCulture = $CultureOld